io.flutter.plugin.platform

## Class PlatformPlugin

- java.lang.Object
- - io.flutter.plugin.platform.PlatformPlugin

-     public class PlatformPlugin
      extends Object

  Android implementation of the platform plugin.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `PlatformPlugin.PlatformPluginDelegate` The `PlatformPlugin` generally has default behaviors implemented for platform functionalities requested by the Flutter framework.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_SYSTEM_UI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlatformPlugin(Activity activity, PlatformChannel platformChannel)`
    `PlatformPlugin(Activity activity, PlatformChannel platformChannel, PlatformPlugin.PlatformPluginDelegate delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Releases all resources held by this `PlatformPlugin`.
    `void` | `updateSystemUiOverlays()` Refreshes Android's window system UI (AKA system chrome) to match Flutter's desired `PlatformChannel.SystemChromeStyle`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_SYSTEM_UI

          public static final int DEFAULT_SYSTEM_UI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PlatformPlugin

          public PlatformPlugin(Activity activity,
                                PlatformChannel platformChannel)

    - #### PlatformPlugin

          public PlatformPlugin(Activity activity,
                                PlatformChannel platformChannel,
                                PlatformPlugin.PlatformPluginDelegate delegate)

  - ### Method Detail

    - #### destroy

          public void destroy()

      Releases all resources held by this `PlatformPlugin`.

      Do not invoke any methods on a `PlatformPlugin` after invoking this method.

    - #### updateSystemUiOverlays

          public void updateSystemUiOverlays()

      Refreshes Android's window system UI (AKA system chrome) to match Flutter's desired `PlatformChannel.SystemChromeStyle`.

      Updating the system UI Overlays is accomplished by altering the decor view of the `Window` associated with the `Activity` that was provided to this `PlatformPlugin`.